#ifndef MAINMENU_H
#define MAINMENU_H

#include <QWidget>

class QLabel;
class QPushButton;

class MainMenu : public QWidget {
	Q_OBJECT

public:

	/** ctor */
	explicit MainMenu(QWidget* parent);

public slots:

	void resizeEvent(QEvent*);

signals:

	void onLoadButton();
	void onStartButton();
	void onDebugButton();
	void onCameraButton();
	void onTransparentButton();
	void on3DButton();

private:

	QPushButton* getButton(const std::string& icon);

	QPushButton* btnLoadMap;
	QPushButton* btnStart;
	QPushButton* btnDebug;
	QPushButton* btnCamera;
	QPushButton* btnTransparent;
	QPushButton* btn3D;
	QLabel* lblLog;

};

#endif
